import { WorkflowState, ActionHandler,ActionParam } from ".";

export class WorkflowAction {    
    Id: number = 0;
    Name:  string = '';
    Type:number|null = 0;
    WorkflowVersionId:  number = 0;
    States: WorkflowState[] = new Array<WorkflowState>();
    Handlers: ActionHandler[] = new Array<ActionHandler>();
    IsRepeated:boolean|null = false;
    RepetitionInHours:number|null = 0;
    ActionParams:ActionParam[]= new Array<ActionParam>();
}